Package org.apache.cxf.bus.managers

# Class PhaseManagerImpl

java.lang.Object
org.apache.cxf.bus.managers.PhaseManagerImpl

All Implemented Interfaces:
  `BusExtension`, `PhaseManager`

public class PhaseManagerImpl extends Object implements PhaseManager, BusExtension

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhaseManagerImpl()`
  `PhaseManagerImpl(SortedSet<Phase> in, SortedSet<Phase> out)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SortedSet<Phase>`
  `getInPhases()`
  `SortedSet<Phase>`
  `getOutPhases()`
  `Class<?>`
  `getRegistrationType()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhaseManagerImpl

    public PhaseManagerImpl()

  - ### PhaseManagerImpl

    public PhaseManagerImpl(SortedSet<Phase> in, SortedSet<Phase> out)

- ## Method Details

  - ### getRegistrationType

    public Class<?> getRegistrationType()
    Specified by:
      `getRegistrationType` in interface `BusExtension`

  - ### getInPhases

    public SortedSet<Phase> getInPhases()
    Specified by:
      `getInPhases` in interface `PhaseManager`

  - ### getOutPhases

    public SortedSet<Phase> getOutPhases()
    Specified by:
      `getOutPhases` in interface `PhaseManager`